QGIS Application - Bug report #21859
"File/folder Input” in processing won't separate input files into distinct rows in batch mode
2019-04-16 01:14 PM - Grzegorz Sienko

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/GUI

Affected QGIS version:3.4.6 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29674
Description

When creating the model in processing with file input, desire behavior in batch mode is to select multiple files where will by created many
rows in model input.

Windows 10.

On 3.4.6 - | can select multiple files, but everything is in one row, separated by ;
On 3.6.1 - | can only select one file.

On 3.7 dev - | can select only one file.

Associated revisions

Revision 979af2b6 - 2019-05-01 11:15 PM - Alexander Bruy

[processing] populate batch interface with rows when multiple layers
selected (fix #21859)

Revision 18890d8f - 2019-05-09 12:14 AM - Alexander Bruy

[processing] populate batch interface with rows when multiple layers

selected (fix #21859)

History

#1 - 2019-04-16 07:00 PM - Giovanni Manghi

- Description updated

- Subject changed from "File/folder Input" in processing won't separate input files into distinct rows in batch mode. to "File/folder Input" in processing
won't separate input files into distinct rows in batch mode

#2 - 2019-04-23 07:07 PM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes
- Assignee set to Alexander Bruy

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/9850

#3 - 2019-04-23 07:07 PM - Alexander Bruy
- Operating System deleted (Windows 10)
https://github.com/qgis/QGIS/pull/9850

- Category changed from Processing/Core to Processing/GUI

#4 - 2019-05-01 11:15 PM - Alexander Bruy
- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|979af2b69d245558602b5d50315df40e812ceal5.
